Definitions
Retrieve a Definition
Authorization
apiKey AuthorizationBearer <token>
Organization API key from the console (ak_...), or an OAuth access token with user:org:read, the organization selected during consent, and the capability required by the operation.
In: header
Path Parameters
definition_id*string
Unique identifier for a project's logical API Definition.
Match
^def_[a-z0-9]{16}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/definitions/def_2p8m4q7k1v9d6h3c"{ "id": "def_2p8m4q7k1v9d6h3c", "object": "definition", "project_id": "prj_4f8k2m7x9q1v6b3n", "source": { "kind": "url", "url": "http://example.com", "headers_configured": true }, "format": "openapi", "patches": [ { "op": "remove", "path": "/components/schemas/Legacy" } ], "graphql": { "endpoint": "http://example.com", "environments": [ { "name": "string", "url": "http://example.com" } ], "api_key_header": "string", "title": "string", "scalars": { "property1": "string", "property2": "string" }, "auth": "api_key" }, "diagnostic_policy": { "fail_on": "never", "only_new": true, "suppressions": [] }, "latest_revision_id": "drev_6m1q8v4k2p9d7h3c", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}